ansible plugin omits scheme and pulp content path in ANSIBLE_CONTENT_HOSTNAME
Status: Closed   

Priority: Normal   

Assignee: James Jeffers   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/200

  

Description

When generating the ansible plugin specific values in the pulp settings file the installer leaves out 2 important values - the url scheme

("https://") and the pulp content path ("/pulp/content/").

These are typically included if the default CONTENT_ORIGIN value is used, but are not when the

ANSIBLE_CONTENT_HOSTNAME is specified.

Associated revisions

Revision 17a84f37 - 06/11/2021 03:16 PM - James Jeffers

Fixes #32766 - adds scheme and pulp content path to setting value

History

#1 - 06/09/2021 01:08 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to James Jeffers

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/200 added

#2 - 06/11/2021 04:08 PM - James Jeffers

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|17a84f377da89c637468685b93bb61c3dc7bd369.
